## r-cran-nws 2.0.0.3

=== DESCRIPTION ===
Package: nws
Title: R functions for NetWorkSpaces and Sleigh
Version: 2.0.0.3
Author: REvolution Computing
        with support and contributions from Pfizer, Inc.
Maintainer: REvolution Computing <packages@revolution-computing.com>
Description: Provides coordination and parallel execution
        facilities, as well as limited cross-language data exchange,
        using the netWorkSpaces server developed by REvolution
        Computing
License: GPL-2
Depends: R (>= 2.5), methods, utils
Suggests: sprngNWS, Revobase
LazyLoad: yes
URL: http://nws-r.sourceforge.net/
Packaged: 2009-10-05 15:28:01 UTC; weston

=== debian/changelog ===
r-cran-nws (2.0.0.3-5) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jun 2018 12:07:06 -0500

r-cran-nws (2.0.0.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for r-api-3.4 transition

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 18:52:17 +0200

r-cran-nws (2.0.0.3-4) unstable; urgency=medium

  * debian/compat: Created			(Closes: ##830387)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 06:57:32 -0500

r-cran-nws (2.0.0.3-3) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 16:51:48 -0500

r-cran-nws (2.0.0.3-2) unstable; urgency=low

  * inst/bin/localserver.py: Convert from string exception 
  							(Closes: #585347)

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Oct 2010 16:30:41 -0500

r-cran-nws (2.0.0.3-1) unstable; urgency=low

  * New upstream (pre-)release -- taken from http://nws.sourceforge.net

  * This can use (but does not require) packages Revobase and sprngNWS 
    which are not currently required; this does however prevent the
    package from passing R CMD check and hence from entering CRAN.

  * debian/control: Changed Section: to 'gnu-r'
      
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Oct 2009 11:21:49 -0500

r-cran-nws (1.7.0.0-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 2.7.1
  * debian/control: Set Standards-Version: to current version 3.8.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Aug 2008 17:36:48 -0500

r-cran-nws (1.6.9-1) unstable; urgency=low

  * New upstream (pre-)release (not uploaded to Debian)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Jul 2008 07:21:18 -0500

r-cran-nws (1.6.3-1) unstable; urgency=low

  * Initial Debian release				(Closes: #486371)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Jun 2008 12:43:06 -0500

=== debian/control ===
Source: r-cran-nws
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.5.0), dh-r
Standards-Version: 4.1.4

Package: r-cran-nws
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, python
Suggests: python-nwsserver (>= 2.0.0)
Description: GNU R package for distributed programming via NetWorkSpaces 
 This Debian package provides support for NetWorkSpaces (NWS), a distributed 
 computing toolkit which makes  it easy to use computing clusters from within 
 the Python and GNU R languages and scripting environments..
 .
 See http://www.ddj.com/web-development/200001971 for a recent overview
 article on NetWorkSpaces (albeit with a focus on use from Python).

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-nws package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/nws_([-\d\.]*)\.tar.gz
